<?php 

/*
 * settings.php
 * Handler for viewing and editing administrative redpeppix. options
 * 
 * Version: 0.1
 * Date: 2010-10-29
 * Author: redpeppix. GmbH & Co KG
 */

$messages = array();

// update api key
if (isset($_POST["action"]) && $_POST["action"] == "update_api_key") {
	
	if ($_POST["api_key"] == $redpeppix->apiKey) {
		$messages[] = array("type" => "notice", "text" => __("No changes have been made.", "redpeppix"));
	} else {
		
		$success =  update_option("rpx_apikey", $_POST["api_key"]);
		$redpeppix->apiKey = get_option("rpx_apikey");
		if ($success) {
			$messages[] = array("type" => "notice", "text" => __("Your settings have been saved.", "redpeppix"));
		} else {
			$messages[] = array("type" => "error", "text" => __("Your settings could not be saved.", "redpeppix"));
		}
	}
}

// update host settings
if (isset($_POST["action"]) && $_POST["action"] == "update_host_settings") {
		
	if ((int)$_POST["locked"] 	  == $redpeppix->locked && 
		(int)$_POST["restricted"] == $redpeppix->restricted &&
		(int)$_POST["limitedToPosts"] == $redpeppix->limitedToPosts &&
		(int)$_POST["delayed"] 	  == $redpeppix->delayed
	) {
		$messages[] = array("type" => "notice", "text" => __("No changes have been made.", "redpeppix"));
	} else {
	
		update_option("rpx_locked",			  (int)$_POST["locked"]);
		update_option("rpx_restricted",		  (int)$_POST["restricted"]);
		update_option("rpx_delayed",    	  (int)$_POST["delayed"]);
		update_option("rpx_limited_to_posts", (int)$_POST["limitedToPosts"]);
		$redpeppix->limitedToPosts = (int)get_option('rpx_limited_to_posts');
		
		$success = $redpeppix->updateHostSettings();
		if ($success) {
			$messages[] = array("type" => "notice", "text" => __("Your settings have been saved.", "redpeppix"));
		} else {
			$messages[] = array("type" => "error", "text" => __("Your settings could not be saved.", "redpeppix"));
		}
	}
}

// verify key
$redpeppix->verifyApikey();

?>
<div class="wrap">
	<?php screen_icon('redpeppix'); ?>
	<h2><?php _e('redpeppix.-CREATOR Configuration', 'redpeppix'); ?></h2>
<?php

	//TODO message typ auswerten
	if (is_array($messages) && count($messages) > 0) {
		echo '<div class="wrap"><h2></h2><div class="updated fade" id="message">';
		foreach ($messages as $message) {
			echo "<p>".$message["text"]."</p>";
		}
		echo "</div></div>\n";
	} 
?>
	<div id="poststuff">
	<div class="postbox" id="api_key_box">
	    <h3 class="hndle"><span><?php _e('redpeppix. PIX-key', 'redpeppix'); ?></span></h3>
		<div class="inside" <?php echo $redpeppix->verified ? 'style="display: none;"' : ""; ?> id="set_api_key_div">
			<br />
			<p><?php _e("To activate the PIX-technology on your blog you have to insert the PIX-key.", "redpeppix"); ?><br />
			<?php _e("This is very simple. All you have to do is:", "redpeppix"); ?>
			</p>
			<p>
			<ol>
				<li><?php printf(__('Sign up or login to %s.', 'redpeppix'), '<a href="http://www.redpeppix.de/" target="_blank">www.redpeppix.de</a>'); ?></li>
				<li><?php _e("Enter your CREATOR-Center and go to the tab 'PIX-technology on blog'.", "redpeppix"); ?></li>
				<li><?php _e('There you will find your PIX-key. Copy this PIX-key now.', "redpeppix"); ?></li>
				<li><?php _e('Come back to this page and enter your PIX-key.', "redpeppix"); ?></li>
			</ol>
			</p>
			<form name="set_api_key" method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
				<?php wp_nonce_field('rpx_settings') ?>
				<input type="hidden" name="action" value="update_api_key">
				<?php if (!$redpeppix->verified) echo "<p>".__("You have no valid PIX-key.", "redpeppix")."</p>"; ?>
				<p><?php _e('Enter your PIX-key:', 'redpeppix'); ?> <input style="width: 250px;" type="text" id="api_key" name="api_key" /></p>
				<?php if ($redpeppix->verified) echo '<input  id="api_key_cancel" type="button" class="button" name="cancel" value="'.__('Cancel', 'redpeppix').'" />'; ?>
				<input type="submit" class="button" id="api_key_submit" name="setapikey" value="<?php _e('Save', 'redpeppix') ;?>" />
				<br />
				<?php echo ($redpeppix->locked) ? __("Domain is locked", "redpeppix") : ""; ?>
			</form>
		</div>
		<div class="inside" <?php echo $redpeppix->verified ? "" : 'style="display: none;"'; ?> id="activate_set_api_key_div">
			<p><?php _e("Your PIX-key has been verified.", "redpeppix"); ?></p>
			<input type="button" class="button" id="api_key_edit" name="setapikey" value="<?php _e('Edit PIX-key', 'redpeppix') ;?>" />
		</div>
	</div>
	</div>

<?php 	
	if ($redpeppix->verified) {
?>
	<div id="poststuff">
	<div class="postbox" id="host_settings_box">
	    <h3 class="hndle"><span><?php _e('PIXSETTING rights', 'redpeppix'); ?></span></h3>
		<div class="inside">
			<form name="update_host_settings" method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
				<?php wp_nonce_field('rpx_settings') ?>
				<input type="hidden" name="action" value="update_host_settings">
				<h4><?php _e("Define your PIXSETTING rights", "redpeppix"); ?></h4> 
				<?php _e("Activate/deactivate the PIX-technology on your blog", "redpeppix"); ?>:
				<select name="locked">
					<option value="1"<?php if ($redpeppix->locked) echo " selected"; ?>><?php _e("Not active", "redpeppix"); ?></option>
					<option value="0"<?php if (!$redpeppix->locked) echo " selected"; ?>><?php _e("Active", "redpeppix"); ?></option>
				</select>
				<h4><?php _e("PIXSETTING-Community", "redpeppix"); ?></h4>
				<?php _e("You decide if you soley are allowed to set PIX on your blog or if you release the PIXSETTING function to other PIXSETTERs.", "redpeppix"); ?><br />
				<br />
				<input type="radio" id="restricted_true" name="restricted" <?php if ($redpeppix->restricted) echo ' checked="checked"'; ?> value="1" /> <label for="restricted_true"><?php _e("PIXSETTING only you as CREATOR", "redpeppix"); ?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" id="restricted_false" name="restricted" <?php if (!$redpeppix->restricted) echo ' checked="checked"'; ?> value="0" /> <label for="restricted_false"><?php _e("PIXSETTING open for Community", "redpeppix"); ?></label>
				<h4><?php _e("PIX-delay", "redpeppix"); ?></h4>
				<?php _e("If you release the PIXSETTING you can define if you want to have a delay of 24 hours. In your CREATOR-Center in the redpeppix. Office you get an overview of all PIX set which you can release or delete.", "redpeppix"); ?><br />
				<br />
				<input type="hidden" name="delayed" value="0">
				<input type="checkbox" id="delayed" name="delayed"<?php if ($redpeppix->delayed) echo ' checked="checked"'; ?>  value="1" /> <label for="delayed"><?php _e("24 hour PIX-delay", "redpeppix"); ?></label>
				<h4><?php _e("PIX-scope on your blog", "redpeppix"); ?></h4>
				<?php _e("Define if you want to release the PIXSETTING on your blog in total, like on the layout pictures of the blog theme or if you want to limit it on your posts and comments.", "redpeppix"); ?><br />
				<br />
				<input type="hidden" name="limitedToPosts" value="0">
				<input type="checkbox" id="limitedToPosts" name="limitedToPosts"<?php if ($redpeppix->limitedToPosts) echo ' checked="checked"'; ?>  value="1" /> <label for="limitedToPosts"><?php _e("activate PIXSETTING limiter", "redpeppix"); ?></label>
				<br />
				<br />
				<input type="submit" class="button" name="domainsettings" value="<?php _e('Update settings', 'redpeppix') ;?>" />
			</form>
		</div>
	</div>
	</div>
<?php 	
	}
?>
	<script type="text/javascript">
	jQuery(document).ready(function ($) {

		$("#api_key_edit").click(function() {
			$("#set_api_key_div").show();
			$("#activate_set_api_key_div").hide();
			$("#api_key").focus();
		});

		$("#api_key_cancel").click(function() {
			$("#set_api_key_div").hide();
			$("#activate_set_api_key_div").show();
		});
	});
	</script>